aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGuillaume Horel <guillaume.horel@gmail.com>2013-04-23 22:16:28 -0400
committerGuillaume Horel <guillaume.horel@gmail.com>2013-04-23 22:16:28 -0400
commit3d52f36eb4a032fb36aa492ec86674544daa83a7 (patch)
treec6aa8e81d3d66070bd6d940d20c5c84918de1ce3 /dev-java/xmlgraphics-commons
parentdev-java/flexdock version bump (diff)
downloadsci-3d52f36eb4a032fb36aa492ec86674544daa83a7.tar.gz
sci-3d52f36eb4a032fb36aa492ec86674544daa83a7.tar.bz2
sci-3d52f36eb4a032fb36aa492ec86674544daa83a7.zip
dev-java/xmlgraphics-commons import new version from bugzilla
Diffstat (limited to 'dev-java/xmlgraphics-commons')
-rw-r--r--dev-java/xmlgraphics-commons/Manifest1
-rw-r--r--dev-java/xmlgraphics-commons/files/disable-iccprofile-test.patch38
-rw-r--r--dev-java/xmlgraphics-commons/metadata.xml5
-rw-r--r--dev-java/xmlgraphics-commons/xmlgraphics-commons-1.5.ebuild58
4 files changed, 102 insertions, 0 deletions
diff --git a/dev-java/xmlgraphics-commons/Manifest b/dev-java/xmlgraphics-commons/Manifest
new file mode 100644
index 000000000..0f77c12b4
--- /dev/null
+++ b/dev-java/xmlgraphics-commons/Manifest
@@ -0,0 +1 @@
+DIST xmlgraphics-commons-1.5-src.tar.gz 2597097 SHA256 f73322f1fafdcf5391d0411a377ac6c566e17536daf64b29f1370d6e718d0867 SHA512 af120dab18972f32e1b23f8bed1a9c519d7e2bcebd9c32fa77db61394f31a5821d909ddfe0e9a27cda7fcdf44966cf2576a94fc7c9af047f66c4081b8c35f398 WHIRLPOOL 043d57d08945713e3a14c28274551ac8cd76890f09b52ff1774f6201619792dddbcd827e55680a72b8bb711060ee6d6d270056846f53e35aaee2506052a52eb4
diff --git a/dev-java/xmlgraphics-commons/files/disable-iccprofile-test.patch b/dev-java/xmlgraphics-commons/files/disable-iccprofile-test.patch
new file mode 100644
index 000000000..6d226e6e1
--- /dev/null
+++ b/dev-java/xmlgraphics-commons/files/disable-iccprofile-test.patch
@@ -0,0 +1,38 @@
+Description: This test fails with openjdk-7 (and oracle java 7).
+ Skip for the time being until upstream resolve - see Bug.
+Author: James Page <james.page@ubuntu.com>
+Bug: https://issues.apache.org/bugzilla/show_bug.cgi?id=53328
+
+Index: xmlgraphics-commons/test/java/org/apache/xmlgraphics/image/loader/ImageLoaderTestCase.java
+===================================================================
+--- xmlgraphics-commons.orig/test/java/org/apache/xmlgraphics/image/loader/ImageLoaderTestCase.java 2012-05-30 17:12:37.000324000 +0100
++++ xmlgraphics-commons/test/java/org/apache/xmlgraphics/image/loader/ImageLoaderTestCase.java 2012-05-30 17:13:03.184417043 +0100
+@@ -159,28 +159,6 @@
+ sessionContext.checkAllStreamsClosed();
+ }
+
+- public void testICCProfiles() throws Exception {
+- MyImageSessionContext sessionContext = createImageSessionContext();
+- List/* <ICC_Profile> */profiles = new ArrayList();
+-
+- runReaders(profiles, sessionContext, "iccTest.png", "image/png",
+- ImageFlavor.RAW_PNG);
+- runReaders(profiles, sessionContext, "iccTest.jpg", "image/jpeg",
+- ImageFlavor.RAW_JPEG);
+-
+- ICC_Profile first = (ICC_Profile) profiles.get(0);
+- byte[] firstData = first.getData();
+- for (int i = 1; i < profiles.size(); i++) {
+- ICC_Profile icc = (ICC_Profile) profiles.get(i);
+- byte[] data = icc.getData();
+- assertEquals("Embedded ICC Profiles are not the same size!",
+- firstData.length, data.length);
+- for (int j = 0; j < firstData.length; j++) {
+- assertEquals("Embedded ICC Profiles differ at index " + j,
+- firstData[j], data[j]);
+- }
+- }
+- }
+
+ private void runReaders(List profiles, ImageSessionContext isc, String uri,
+ String mime, ImageFlavor rawFlavor) throws Exception {
diff --git a/dev-java/xmlgraphics-commons/metadata.xml b/dev-java/xmlgraphics-commons/metadata.xml
new file mode 100644
index 000000000..838c00a4a
--- /dev/null
+++ b/dev-java/xmlgraphics-commons/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>java</herd>
+</pkgmetadata>
diff --git a/dev-java/xmlgraphics-commons/xmlgraphics-commons-1.5.ebuild b/dev-java/xmlgraphics-commons/xmlgraphics-commons-1.5.ebuild
new file mode 100644
index 000000000..700233e7b
--- /dev/null
+++ b/dev-java/xmlgraphics-commons/xmlgraphics-commons-1.5.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-java/xmlgraphics-commons/xmlgraphics-commons-1.3.1.ebuild,v 1.7 2011/12/31 16:46:14 sera Exp $
+
+EAPI=4
+JAVA_PKG_IUSE="doc examples source test"
+VIRTUALX_REQUIRED="manual"
+VIRTUALX_COMMAND="eant"
+
+inherit java-pkg-2 java-ant-2 virtualx
+
+DESCRIPTION="A library of several reusable components used by Apache Batik and Apache FOP."
+HOMEPAGE="http://xmlgraphics.apache.org/commons/index.html"
+SRC_URI="mirror://apache/xmlgraphics/commons/source/${P}-src.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="1.5"
+KEYWORDS="amd64 ppc ppc64 x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~sparc-solaris ~x86-solaris"
+IUSE=""
+
+CDEPEND="dev-java/commons-io:1
+ >=dev-java/commons-logging-1:0"
+DEPEND=">=virtual/jdk-1.5
+ test? ( dev-java/ant-junit4 )
+ ${CDEPEND}"
+
+RDEPEND=">=virtual/jre-1.5
+ ${CDEPEND}"
+
+# TODO investigate producing .net libraries
+# strategies for non sun jdk's/jre's
+
+JAVA_ANT_IGNORE_SYSTEM_CLASSES="true"
+JAVA_ANT_REWRITE_CLASSPATH="true"
+
+java_prepare() {
+ #see https://issues.apache.org/bugzilla/show_bug.cgi?id=53328
+ epatch "${FILESDIR}"/disable-iccprofile-test.patch
+ find "${S}" -name '*.jar' -print -delete || die
+ rm -v test/java/org/apache/xmlgraphics/java2d/ps/PSGraphics2DTestCase.java \
+ || die
+}
+
+EANT_GENTOO_CLASSPATH="commons-io-1,commons-logging"
+EANT_EXTRA_ARGS="-Djdk15.present=true"
+EANT_BUILD_TARGET="jar-main"
+EANT_DOC_TARGET="javadocs"
+
+src_test() {
+ java-pkg_jarfrom --into lib junit-4,commons-io-1
+ ANT_TASKS="ant-junit4" virtualmake -Djdk15.present=true junit
+}
+
+src_install(){
+ java-pkg_newjar build/"${P}".jar
+ use source && java-pkg_dosrc src/java/org
+ use doc && java-pkg_dojavadoc build/javadocs
+}